'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index = require('./index-617c9671.js');
var box = require('./box-9417f048.js');
var button = require('./button-d60249fb.js');

var css_248z$1 = ":root {\n  /**\n  * @tokens Colors\n  * @presenter Color\n  */\n  --ds-color-text-success: #138000;\n  --ds-color-text-link: #0366d6;\n  --ds-color-text-error: #d0421b;\n  --ds-color-text-inverse: #ffffff;\n  --ds-color-text-disabled: #9c9c9c;\n  --ds-color-text-secondary: #757575;\n  --ds-color-text-primary: #262626;\n  --ds-color-background-2: #f1f1f1;\n  --ds-color-background-1: #ffffff;\n  --ds-color-ui-alert-dark: #b16400;\n  --ds-color-ui-alert-default: #db7c00;\n  --ds-color-ui-alert-light: #ef9827;\n  --ds-color-ui-success-dark: #105e03;\n  --ds-color-ui-success-default: #138000;\n  --ds-color-ui-success-light: #34af1f;\n  --ds-color-ui-error-dark: #ab1010;\n  --ds-color-ui-error-default: #d60000;\n  --ds-color-ui-error-light: #ed1a1a;\n  --ds-color-ui-disabled: #dedede;\n  --ds-color-ui-quaternary: #ffffff;\n  --ds-color-ui-tertiary: #ededed;\n  --ds-color-ui-secondary: #828181;\n  --ds-color-ui-primary: #262626;\n  --ds-color-brand-secondary-darker: #0e0e0e;\n  --ds-color-brand-secondary-dark: #1a1919;\n  --ds-color-brand-secondary-main: #262626;\n  --ds-color-brand-secondary-light: #3e3e3e;\n  --ds-color-brand-primary-darker: #a3331a;\n  --ds-color-brand-primary-dark: #b73b20;\n  --ds-color-brand-primary-main: #d44527;\n  --ds-color-brand-primary-light: #ea5435;\n}\n\n/* default grid tokens */\n:root {\n  --ds-grid-margin-l: 154px;\n  --ds-grid-margin-desktop: 154px;\n  --ds-grid-margin-l: 154px;\n  --ds-grid-margin-desktop: 154px;\n}\n\n/* grid tokens for l (1440px) */\n@media screen and (min-width: 1440px) {\n  :root {\n    --ds-grid-margin-l: 154px;\n    --ds-grid-margin-desktop: 154px;\n    --ds-grid-margin-l: 154px;\n    --ds-grid-margin-desktop: 154px;\n  }\n}\n/* grid tokens for m (768px) */\n@media screen and (min-width: 768px) {\n  :root {\n    --ds-grid-margin-l: 154px;\n    --ds-grid-margin-desktop: 154px;\n    --ds-grid-margin-l: 154px;\n    --ds-grid-margin-desktop: 154px;\n    --ds-grid-margin-m: 34px;\n    --ds-grid-margin-tablet: 34px;\n    --ds-grid-margin-m: 32px;\n    --ds-grid-margin-tablet: 32px;\n  }\n}\n/* grid tokens for s (364px) */\n@media screen and (min-width: 364px) {\n  :root {\n    --ds-grid-margin-l: 154px;\n    --ds-grid-margin-desktop: 154px;\n    --ds-grid-margin-l: 154px;\n    --ds-grid-margin-desktop: 154px;\n    --ds-grid-margin-m: 34px;\n    --ds-grid-margin-tablet: 34px;\n    --ds-grid-margin-m: 32px;\n    --ds-grid-margin-tablet: 32px;\n    --ds-grid-margin-s: 28px;\n    --ds-grid-margin-mobile: 28px;\n    --ds-grid-margin-s: 28px;\n    --ds-grid-margin-mobile: 28px;\n  }\n}\n/* default typography tokens */\n:root {\n  --ds-font-scale-xs: 10px;\n  --ds-font-scale-s: 12px;\n  --ds-font-scale-m: 16px;\n  --ds-font-scale-l: 20px;\n  --ds-font-scale-xl: 24px;\n  --ds-font-scale-2xl: 28px;\n  --ds-font-scale-3xl: 32px;\n  --ds-font-scale-4xl: 40px;\n  --ds-font-scale-5xl: 48px;\n  --ds-font-weight-roboto-bold: 700;\n  --ds-font-weight-roboto-medium: 500;\n  --ds-font-weight-roboto-regular: 400;\n  --ds-letter-spacing-4: 0.04em;\n  --ds-letter-spacing-0: 0em;\n  --ds-line-height-150: 150%;\n  --ds-line-height-125: 125%;\n  --ds-line-height-100: 100%;\n}\n\n/* typography tokens for l (1440px) */\n/* typography tokens for m (768px) */\n/* typography tokens for s (364px) */\n:root {\n  /**\n  * @tokens Spacing\n  * @presenter Spacing\n  */\n  --ds-space-1: 0.25rem;\n  --ds-space-2: 0.5rem;\n  --ds-space-3: 0.75rem;\n  --ds-space-4: 1rem;\n  --ds-space-5: 1.25rem;\n  --ds-space-6: 1.5rem;\n  --ds-space-7: 2rem;\n  --ds-space-8: 2.5rem;\n  --ds-space-9: 3rem;\n  --ds-space-10: 4rem;\n  --ds-space-11: 6rem;\n  --ds-space-12: 8rem;\n}\n\n:root {\n  /**\n  * @tokens Shadow\n  * @presenter Shadow\n  */\n  --ds-elevation-100: 0px 16px 24px rgba(48, 49, 51, 0.10), 0px 0px 1px rgba(48, 49, 51, 0.05);\n  --ds-elevation-80: 0px 8px 16px rgba(48, 49, 51, 0.10), 0px 0px 1px rgba(48, 49, 51, 0.05);\n  --ds-elevation-60: 0px 4px 8px rgba(48, 49, 51, 0.10), 0px 0px 1px rgba(48, 49, 51, 0.05);\n  --ds-elevation-40: 0px 2px 4px rgba(48, 49, 51, 0.10), 0px 0px 1px rgba(48, 49, 51, 0.05);\n  --ds-elevation-20: 0px 1px 3px rgba(48, 49, 51, 0.10), 0px 0px 1px rgba(48, 49, 51, 0.05);\n}";
index.styleInject(css_248z$1);

var css_248z = ".tag-module_ds-tag__GUiFs {\n  height: fit-content;\n  display: inline-block;\n  padding: var(--ds-space-1) var(--ds-space-2);\n  white-space: nowrap;\n  border-radius: var(--ds-border-radius-m);\n  border-style: solid;\n  border-width: 1px;\n  font-size: 11px;\n  border-color: transparent;\n}\n.tag-module_ds-tag--primary--solid__Z0UPy {\n  background-color: var(--ds-color-ui-primary);\n  color: var(--ds-color-text-inverse);\n}\n.tag-module_ds-tag--primary--outline__LtYjN {\n  border-color: var(--ds-color-ui-primary);\n  color: var(--ds-color-ui-primary);\n}\n.tag-module_ds-tag--secondary--solid__UqXc- {\n  background-color: var(--ds-color-brand-primary-main);\n  color: var(--ds-color-text-inverse);\n}\n.tag-module_ds-tag--secondary--outline__AXo3k {\n  border-color: var(--ds-color-brand-primary-main);\n  color: var(--ds-color-brand-primary-main);\n}\n.tag-module_ds-tag--error--solid__qFn4S {\n  background-color: var(--ds-color-ui-error-default);\n  color: var(--ds-color-text-inverse);\n}\n.tag-module_ds-tag--error--outline__LF1nQ {\n  border-color: var(--ds-color-ui-error-default);\n  color: var(--ds-color-ui-error-default);\n}\n.tag-module_ds-tag--success--solid__u8h59 {\n  background-color: var(--ds-color-ui-success-default);\n  color: var(--ds-color-text-inverse);\n}\n.tag-module_ds-tag--success--outline__4ygdL {\n  border-color: var(--ds-color-ui-success-default);\n  color: var(--ds-color-ui-success-default);\n}\n.tag-module_ds-tag--alert--solid__yroBa {\n  background-color: var(--ds-color-ui-alert-default);\n  color: var(--ds-color-text-inverse);\n}\n.tag-module_ds-tag--alert--outline__U5XlG {\n  border-color: var(--ds-color-ui-alert-default);\n  color: var(--ds-color-ui-alert-default);\n}";
var styles = {"ds-tag":"tag-module_ds-tag__GUiFs","ds-tag--primary--solid":"tag-module_ds-tag--primary--solid__Z0UPy","ds-tag--primary--outline":"tag-module_ds-tag--primary--outline__LtYjN","ds-tag--secondary--solid":"tag-module_ds-tag--secondary--solid__UqXc-","ds-tag--secondary--outline":"tag-module_ds-tag--secondary--outline__AXo3k","ds-tag--error--solid":"tag-module_ds-tag--error--solid__qFn4S","ds-tag--error--outline":"tag-module_ds-tag--error--outline__LF1nQ","ds-tag--success--solid":"tag-module_ds-tag--success--solid__u8h59","ds-tag--success--outline":"tag-module_ds-tag--success--outline__4ygdL","ds-tag--alert--solid":"tag-module_ds-tag--alert--solid__yroBa","ds-tag--alert--outline":"tag-module_ds-tag--alert--outline__U5XlG"};
index.styleInject(css_248z);

var selector = 'ds-tag';
var DsTag = function (props) {
    var classesArray = "".concat(selector, ",").concat(selector, "--").concat(props.type || 'primary', "--").concat(props.variant || 'solid').split(',');
    var classNames = classesArray.map(function (n) { return styles[n]; }).toString().replace(/,/g, ' ');
    return index.React.createElement("span", { className: classNames }, props.label);
};

function changeTheme(tokens) {
    Object.keys(tokens).forEach(function (token) {
        document.documentElement.style.setProperty(token, tokens[token]);
    });
}

exports.box = box.DsBox;
exports.button = button.DsButton;
exports.changeTheme = changeTheme;
exports.tag = DsTag;
//# sourceMappingURL=index.js.map
